Page MenuHomePhabricator

Section name still appears in edit summary when you switch to full article editing
Closed, ResolvedPublic

Description

If you start editing a section in the 2017 wikitext editor and then press edit source at the top during the edit to change outside the section, the section header is still displayed in the edit summary.

Event Timeline

Daylen created this task.Apr 6 2018, 3:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2018, 3:09 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 6 2018, 9:40 AM
Esanders triaged this task as Low priority.Apr 12 2018, 9:54 PM
Cirdan added a subscriber: Cirdan.Apr 17 2018, 6:31 PM

Change 518245 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Clear edit summary when switching section and discarding changes

https://gerrit.wikimedia.org/r/518245

Change 518245 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Clear edit summary when switching section and discarding changes

https://gerrit.wikimedia.org/r/518245

Esanders claimed this task.Jun 27 2019, 4:06 PM
matmarex moved this task from Inbox to Low Priority on the Editing QA board.Jul 1 2019, 4:45 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Jul 26 2019, 3:37 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Sep 3 2019, 12:13 AM